# Uses of Class
org.eclipse.team.core.synchronize.SyncInfoSet

Packages that use SyncInfoSet
Package
Description
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.core.synchronize
Application programming interfaces for managing synchronization state.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of SyncInfoSet in org.eclipse.team.core.subscribers

Methods in org.eclipse.team.core.subscribers with parameters of type SyncInfoSet
Modifier and Type
Method
Description
`void`
Subscriber.`collectOutOfSync(IResource[] resources, int depth, SyncInfoSet set, IProgressMonitor monitor)`
Adds all out-of-sync resources (`getKind() !`

## Uses of SyncInfoSet in org.eclipse.team.core.synchronize

Subclasses of SyncInfoSet in org.eclipse.team.core.synchronize
Modifier and Type
Class
Description
`class`
`SyncInfoTree`
Provides addition API for accessing the `SyncInfo` in the set through their resource's hierarchical relationships.
Methods in org.eclipse.team.core.synchronize that return SyncInfoSet
Modifier and Type
Method
Description
`SyncInfoSet`
ISyncInfoSetChangeEvent.`getSet()`
Returns the `SyncInfoSet` that generated these events.
`SyncInfoSet`
SyncInfoSetChangeEvent.`getSet()`
Methods in org.eclipse.team.core.synchronize with parameters of type SyncInfoSet
Modifier and Type
Method
Description
`void`
SyncInfoSet.`addAll(SyncInfoSet set)`
Add all the sync info from the given set to this set.
`void`
ISyncInfoSetChangeListener.`syncInfoSetErrors(SyncInfoSet set, ITeamStatus[] errors, IProgressMonitor monitor)`
This method is called when errors have occurred calculating the `SyncInfo` for a resource.
`void`
ISyncInfoSetChangeListener.`syncInfoSetReset(SyncInfoSet set, IProgressMonitor monitor)`
Sent when the contents of a `SyncInfoSet` have been reset or the listener has been connected to the set for the first time using `SyncInfoSet#connect(ISyncInfoSetChangeListener, IProgressMonitor)`.
Constructors in org.eclipse.team.core.synchronize with parameters of type SyncInfoSet
Modifier
Constructor
Description
``
`SyncInfoSetChangeEvent(SyncInfoSet set)`

## Uses of SyncInfoSet in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return SyncInfoSet
Modifier and Type
Method
Description
`SyncInfoSet`
ISynchronizePageConfiguration.`getSyncInfoSet()`
Return the set associated with the P_SYNC_INFO_SET property or `null` if the property is not set.
`protected SyncInfoSet`
SynchronizeModelOperation.`getSyncInfoSet()`
Returns a sync info set that contains the `SyncInfo`for the elements of this operations.